
Katello - Feature #3466

Remove authentication code in Katello and only rely on Foreman login

10/22/2013 08:42 AM - Joseph Magen

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Associated revisions

Revision e64c17cd - 11/07/2013 08:25 AM - Joseph Magen

Engine: fixes #3466 - change Katello logout to Foreman logout path

Revision 83024402 - 11/07/2013 08:26 AM - Joseph Magen

Merge pull request #3336 from isratrade/kt_logout

Engine: fixes #3466 - change Katello logout to Foreman logout path

Revision 0b932444 - 11/07/2013 08:37 AM - Joseph Magen

Engine: fixes #3466 - remove user authentication / password

Revision 7506e074 - 11/07/2013 08:37 AM - Joseph Magen

Engine: fixes #3466 - remove user session

Revision 59ec1b75 - 11/07/2013 08:37 AM - Joseph Magen

Engine: fixes #3466 - change root path :to => dashboard#index

Revision f9d0f142 - 11/07/2013 09:28 AM - Joseph Magen

Merge pull request #3326 from isratrade/3346_remove_auth

Engine: fixes #3466 - remove user authentication / password / user sessions, change logout link

Revision 0ed4467d - 11/14/2013 01:54 PM - Joseph Magen

Engine: fixes #3466 - removed password_resets from routes.rb

Revision 1a289e56 - 11/19/2013 02:39 PM - Joseph Magen

Merge pull request #3376 from isratrade/3466_password

Engine: fixes #3466 - removed password_resets from routes.rb

Revision 5d5c8d70 - 11/22/2013 06:15 PM - Joseph Magen 

Engine: fixes #3466 - remove user session

Revision ce183328 - 11/22/2013 11:15 PM - Joseph Magen

Engine: fixes #3466 - change Katello logout to Foreman logout path

Revision 63a95202 - 11/22/2013 11:15 PM - Joseph Magen
Engine: fixes #3466 - remove user authentication / password

Revision 1a31a395 - 11/22/2013 11:15 PM - Joseph Magen

Engine: fixes #3466 - remove user session

Revision 71a3f3f4 - 11/22/2013 11:15 PM - Joseph Magen

Engine: fixes #3466 - change root path :to => dashboard#index

Revision 0ce55e80 - 11/23/2013 12:23 AM - Joseph Magen

Engine: fixes #3466 - removed password_resets from routes.rb

History

#1 - 11/07/2013 08:52 AM - Anonymous

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:e64c17cde08796c96b24732fdfe6015408861f4e.

#2 - 08/21/2014 02:19 PM - Eric Helms

- translation missing: en.field_release set to 13
